%define pre     -pre2

%if 0
%define lib_major_kpod 0
%define lib_name_kpod %{mklibname kpod %{lib_major_kpod}}
%define lib_name_kpod_devel %{mklibname kpod -d}

%define lib_major_itunesdb 0
%define lib_name_itunesdb %{mklibname itunesdb %{lib_major_itunesdb}}
%define lib_name_itunesdb_devel %{mklibname itunesdb -d}
%endif

Name:           ipodslave
Version:        0.8
Release:        %mkrel 3
Epoch:          0
Summary:        KDE ioslave for accessing music stored on an Apple iPod
License:        GPL
Group:          Sound
URL:            http://sourceforge.net/projects/kpod/
Source0:        http://downloads.sourceforge.net/sourceforge/kpod/ipodslave-%{version}%{pre}.tar.bz2
BuildRequires:  chrpath
BuildRequires:  kdelibs-devel
BuildRequires:  libid3-devel
BuildRequires:  qtpod-devel
BuildRequires:  zlib-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
iPod Slave is a KDE ioslave that enables KIO aware applications (like most KDE
applications) to access the music stored on an Apple iPod. It creates a virtual
directory structure where songs can be copied into or moved around to manage
albums or create playlists.

%if 0
%package -n %{lib_name_kpod}
Group:          Development/KDE and Qt
Summary:        Libraries for kpod

%description -n %{lib_name_kpod}
kpod library.

%package -n %{lib_name_kpod}-devel
Group:          Development/KDE and Qt
Summary:        Devel files for kpod
Requires:       %{lib_name_kpod}

%description -n %{lib_name_kpod}-devel
Devel files for kpod library.

%package -n %{lib_name_itunesdb}
Group:          Development/KDE and Qt
Summary:        Libraries for itunesdb

%description -n %{lib_name_itunesdb}
itunesdb library.

%package -n %{lib_name_itunesdb}-devel
Group:          Development/KDE and Qt
Summary:        Devel files for itunesdb
Requires:       %{lib_name_itunesdb}

%description -n %{lib_name_itunesdb}-devel
Devel files for itunesdb library.
%endif

%prep
%setup -q -n ipodslave-%{version}%{pre}

%build
%{configure2_5x}
%{make}

%install
%{__rm} -rf %{buildroot}
%{makeinstall_std}
%{_bindir}/chrpath -d %{buildroot}%{_libdir}/kde3/kio_ipodslave.so
%{__rm} -rf %{buildroot}%{_includedir}

%clean
%{__rm} -rf %{buildroot}

%if 0
%post -n %{lib_name_kpod} -p /sbin/ldconfig

%postun -n %{lib_name_kpod} -p /sbin/ldconfig

%post -n %{lib_name_itunesdb} -p /sbin/ldconfig

%postun -n %{lib_name_itunesdb} -p /sbin/ldconfig
%endif

%files 
%defattr(-,root,root,0755)
%{_datadir}/services/ipodslave.protocol
%{_libdir}/kde3/kio_ipodslave.so
%{_libdir}/kde3/kio_ipodslave.la

%if 0
%files -n %{lib_name_kpod}
%defattr(-,root,root,0755)
%{_libdir}/libkpod.so.*
%{_libdir}/libkpod.la

%files -n %{lib_name_kpod_devel}
%defattr(-,root,root,0755)
%dir %{_includedir}/kpod
%{_includedir}/kpod/*.h
%{_libdir}/libkpod.so

%files -n %{lib_name_itunesdb}
%defattr(-,root,root,0755)
%{_libdir}/libitunesdb.so.*
%{_libdir}/libitunesdb.la

%files -n %{lib_name_itunesdb_devel}
%defattr(-,root,root,0755)
%dir %{_includedir}/kpod/itunesdb
%{_includedir}/kpod/itunesdb/*.h
%{_libdir}/libitunesdb.so
%endif


%changelog
* Thu Dec 13 2007 David Walluck <walluck@mandriva.org> 0.8-3mdv2008.1
+ Revision: 119137
- 0.8-pre2


* Wed Feb 14 2007 David Walluck <walluck@mandriva.org> 0.8-2mdv2007.0
+ Revision: 121160
- change group to Sound (closes bug #28660

* Sun Nov 26 2006 David Walluck <walluck@mandriva.org> 0:0.8-1mdv2007.1
+ Revision: 87337
- Import ipodslave

* Sun Nov 26 2006 David Walluck <walluck@mandriva.org> 0:0.8-1mdv2007.1
- release

